
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ODAC应用技巧（二）使用BLOB及CLOB数据类型 / iVAN</title>

    <meta name="description" content="ODAC应用技巧（二）使用BLOB及CLOB数据类型 ODAC 组件支持 Oracle 8 的 BLOB 和 CLOB 数据类型.你可以使用 TOraQuery 组件来获取 LOB 字段的值,使用同样的方法,你也可以获取 LONG 或 LONG ROW 字段.当你需要使用 SQL DML 及 PL/SQL 语句存取这些字段时,你就会发现 LOB 数据类型的用法有明显的不同. BLOB 和 CLOB 数据类型通过 LOB 定位器(指定数据地址) 存储在表列中:实际的 BLOB 和 CLOB 数据存储在独立的表空间中.与之不同的是,LONG 或 LON">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ODAC应用技巧（二）使用BLOB及CLOB数据类型</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>ODAC 组件支持 Oracle 8 的 BLOB 和 CLOB 数据类型。你可以使用 TOraQuery 组件来获取 LOB 字段的值，使用同样的方法，你也可以获取　 LONG 或 LONG ROW 字段。当你需要使用 SQL DML 及 PL/SQL 语句存取这些字段时，你就会发现 LOB 数据类型的用法有明显的不同。</p>
<p>BLOB 和 CLOB 数据类型通过 LOB 定位器(指定数据地址) 存储在表列中；实际的 BLOB 和 CLOB 数据存储在独立的表空间中。与之不同的是，LONG 或 LONG RAW 类型存储在数据库中，表中存放着它们的实际值。</p>
<p>当存取 LOB 列时，返回的是定位器，而不像 LONG 或 LONG RAW 数据类型那样返回它的实际值。</p>
<p>例如，分析这个表的定义：</p>
<p><code>CREATE TABLE ClobTable (<br />
Id NUMBER,<br />
Name VARCHAR2(30),<br />
Value CLOB<br />
)</code></p>
<p>如果我们不通过值参数初始化 LOB 定位器， Oracle 将不允许使用下面的语句来更新数据表：</p>
<p><code>UPDATE ClobTable<br />
SET<br />
Name = :Name,<br />
Value = :Value</p>
<p>WHERE<br />
Id = :Id</code></p>
<p>要初始化 LOB 定位器，你必须使用 EMPTY_BLOB 或 EMPTY_CLOB Oracle 函数。要返回初始化后的定位器，应在同样的语句中使用 RETURNING 子句。例如：</p>
<p><code>UPDATE ClobTable<br />
SET<br />
Name = :Name,<br />
Value = EMPTY_CLOB()<br />
WHERE<br />
Id = :Id<br />
RETURNING<br />
Value<br />
INTO<br />
:Value</code></p>
<p>ODAC 写 LOB 数据到 Oracle 且返回初始值字段，需使用：值参数。</p>
<p>存储过程允许自动初始化 LOB 值，方法如下：</p>
<p><code>CREATE OR REPLACE<br />
PROCEDURE ClobTableUpdate (p_Id NUMBER, p_Name VARCHAR2,<br />
p_Value OUT CLOB)<br />
is<br />
begin<br />
UPDATE ClobTable<br />
SET　<br />
Name = p_Name,<br />
Value = EMPTY_CLOB()<br />
WHERE<br />
Id = p_Id<br />
RETURNING<br />
Value<br />
INTO<br />
p_Value;<br />
end;</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:19:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%97%e6%ae%b5/" title="字段">字段</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/value/" title="value">value</a>, <a href="https://www.iamivan.net/tag/long/" title="long">long</a>, <a href="https://www.iamivan.net/tag/returning/" title="RETURNING">RETURNING</a>, <a href="https://www.iamivan.net/tag/lob/" title="lob">lob</a>, <a href="https://www.iamivan.net/tag/clob/" title="clob">clob</a>, <a href="https://www.iamivan.net/tag/odac/" title="odac">odac</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ODAC应用技巧（二）使用BLOB及CLOB数据类型的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2y1mqz.html" rel="bookmark">ODAC应用技巧（四）使用VARRAY数据类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在使用对象时建议使用数组.但在你需要在数据集中使用大数组时可能会出现一些问题.比如,当为 ODAC 的一个字段创建大量数组时,也会创建大量的 TField 字段,这会导致程序的性能大大降低. 因此,ODAC 限制仅能为字段创建 1000 个成员.但不管怎样,你都可以使用 TOraArray 对象来存取所有的成员.当然,你也可以通过其它方法来实现.比如,设置 TOraQuery.SparseArray 为 True 并且通过 TArrayField 对象来存取数组成员. 如果创建了下面的类型: C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jlQ4b.html" rel="bookmark">JDBC中操作Blob、Clob等对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很多网友都不知道JDBC中如何操作Blob.Clob等对象,其实这是不难的!操作这些对象就象操作其它String.int一样.不信!你就看下面的文章.下面的例子会带你首先创建包含Clob.Blob对象的数据库的表,然后写入这些对象,最后再读取并操作这些对象! 一.关于Derby www.open-open.com是这样介绍Derby的&quot;Apache Derby 是一种高质量的.纯 Java 的嵌入式关系数据库引擎,IBM 最近已将其捐献给开放源码社区.Derby 数据库基于文件系统,具有高度的可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2mdoM.html" rel="bookmark">【Silverlight】Bing Maps开发应用与技巧二：自定义图钉标注控件和动态ToolPa</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[Silverlight]Bing Maps开发应用与技巧二:自定义图钉标注控件和动态ToolPanel 在Bing Maps Silverlight Control中以及为我们提供了地图图钉控件Pushpin,我曾经在&lt;使用图钉层(Pushpin layer)及地图图层(MapLayer)&gt;一文中介绍过他的使用方法,本篇主要介绍如何自定义图钉标注控件以及对他的一些扩展,比如实现图钉的动态ToolPanel. 关于图钉的UI外观的设计这里就不详细介绍了,通过Blend可以快速的构建UI界面.首			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwl8XEb.html" rel="bookmark">hibernate3学习笔记&lpar;十四&rpar;｜Blob、Clob</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Hibernate中,可以直接对Blob.Clob作映射. DDL如下: 1.CREATE TABLE user (2. id INT(11) NOT NULL auto_increment PRIMARY KEY,3. name VARCHAR(100) NOT NULL default '',4. age INT,5. photo BLOB,6. resume TEXT7.); 注意:由于BLOB字段大小不可预计,有时需要增大BLOB字段的大小,可在数据库中改用MEDIUMBLOB甚至LO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxP3QjM.html" rel="bookmark">使用Office2010截图、抠图技巧二：移除图片中的背景</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				技巧二:移除图片中的背景 对于已插入Word文档的图片,我们可以很方便的去除图片中的背景,这样就不需要动用庞大的photoshop,更妙的是还可以添加或去除水印. 选择图片,切换到&quot;PictureTools&quot;选项卡,可以在这里发现名为&quot;BackgroundRemoval&quot;的按钮,单击 &quot;BackgroundRemoval&quot;按钮,很快就可以把想要的图片抠出来,是不是很神奇?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Nm2Zb.html" rel="bookmark">JavaScript 七大技巧&lpar;二&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上篇文章给大家介绍了JavaScript 七大技巧(二),写JavaScript代码已经很久了,都记不起是什么年代开始的了.对于JavaScript这种语言近几年所取得的成就,我感到非常的兴奋;我很幸运也是这些成就的获益者.我写了不少的文章,章节,还有一本专门讨论它的书,然而,我现在依然能发现一些关于这种语言的新知识.下面的描述的就是过去让我不由得发出&quot;啊!&quot;的感叹的编程技巧,这些技巧你应该现在就试试,而不是等着未来的某个时候偶然的发现它们. var band = { &quot;na			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrqo6Vb.html" rel="bookmark">oracle-Oracle的clob数据类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Oracle的clob数据类型 我的需求是将页面上的大量文字直接插入到数据库中, 建了一个aa表,content1是clob数据类型,从网上找了一些资料,总结出了下图中的两种写法, 但是clob类型的字段总是插不进去数据,请问 1.问题出在哪? 2.如果我这种写法有问题,正确的应该怎么写? 解决方案 顶起啊,没人用过这个吗? 解决方案二: 参考不可忽略的Oracle自动类型转换 将CLOB转为字符类型或将BLOB转为RAW类型的时候,如果被转换的类型长度比目标类型长,那么会出错,其实,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyZv8p.html" rel="bookmark">提高ASP性能的22个技巧&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				技巧|性能 技巧12:将常用数据复制到脚本变量中  当访问ASP中的COM对象时,应该将常用对象数据复制到脚本变量中.着将减少COM方法调用.而COM方法调用代价相对比访问脚本数据更高.当访问Collection和 Dictonary对象时,这项技术也能消减高昂的查询代价.  通常,当准备不止一次访问一个对象数据时,应该将这个数据放当一个脚本对象中. 这项优化的主要目标是Request变量(Form和QueryString变量).例如,你的站点传递一个叫UserID的QueryString变量,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9e0VM.html" rel="bookmark">几个C&num;编程的小技巧 &lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程|技巧 一.判断文件或文件夹是否存在使用System.IO.File,要检查一个文件是否存在非常简单: bool exist = System.IO.File.Exists(fileName); 如果需要判断目录(文件夹)是否存在,可以使用System.IO.Directory:bool exist = System.IO.Directory.Exists(folderName); 二.使用delegate类型设计自定义事件在C#编程中,除了Method和Property,任何Class都可			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBKrKM.html" rel="bookmark" class="title">百度动物园的前面有个千亿市场</a>
					<div>
						互联网八卦多,人们也爱看八卦,热衷于打来打去,尤其是爱看大公司大手笔收购和花钱.可是真的到了一些重要时刻,例如公司的战略调整和业务布局,受众反而不那么敏感了.前一阵子阿里和腾讯花了很多钱收购,百度也成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWAQrz.html" rel="bookmark" class="title">企业应对新算法的四大优化策略</a>
					<div>
						SEO优化已经越来越受到企业的重视,因为其给了企业带来了非常有潜力的经济效益,虽然优化效果不是一天两天能达到,但是很多企业开始接受了优化所 需的时 间性,并把这个作为未来投资的一项工作.那么,在新的形 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLDn5p.html" rel="bookmark" class="title">用户提亚设计实例&colon;节日LOGO互动设计讨论</a>
					<div>
						从去年六一儿童节的LOGO开始,我们就要求以后的每一个节日FLASH LOGO设计时除了具备创意故事外,还必须设计一个小的互动效果,当受众把鼠标移到LOGO上面时(Rollover),会有响应(Res ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKYKOM.html" rel="bookmark" class="title">IMG中UserMap的使用示例</a>
					<div>
						usemap是标签的一个属性,用作指明所使用的图像地图名,接下来为大家介绍下UserMap的使用方法,感兴趣的朋友可以参考下   usemap是&lt;img&gt;标签的一个属性,用作指明所使用的图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKOD6p.html" rel="bookmark" class="title">wps表格如何设置部分区域显示网格线</a>
					<div>
						  wps表格设置部分区域显示网格线的方法 新建一个excel表格,在表格中输入需要的内容并设置好样式. 如果只想表格处的信息显示网格线,而其他部分不显示网格线,该怎么办?效果如下图: 点击&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw3ZZz.html" rel="bookmark" class="title">如何才能快速打开word文档&quest;</a>
					<div>
						  现代工作.生活节奏加速,高效使用你的电脑成为迫切需求,那么如何才能快速打开word文档?下面小编就为大家详细介绍操作步骤,想知道的朋友可以参考本文,希望能对大家有所帮助! 步骤1:去除加载项 运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYyarb.html" rel="bookmark" class="title">win7提示explorer&period;exe服务器运行失败解决方法</a>
					<div>
						  小编昨晚安装好win7 64位后打开资源管理器发现跳出窗口:explorer.exe服务器运行失败 开始以为恢复的系统出问题了,后来才发现,原来是设置问题,解决方法如下: 开始 -&gt; 搜索& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRDwQp.html" rel="bookmark" class="title">如何为win7旗舰版电脑设置自动开机？</a>
					<div>
						  1.首先,咱们需要重启自己的win7旗舰版电脑,然后在屏幕出现开机画面的时候,咱们就按下键盘上的del键进入到win7旗舰版电脑的bios设 置界面中,之后,咱们利用键盘上的方向键进行操作,选中其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGNrjp.html" rel="bookmark" class="title">传感网（WSN）&plus;互联网（Internet &equals;物联网（IOT）</a>
					<div>
						传感网(WSN)+互联网(Internet =物联网(IOT)感受传感网 ,走进物联网.蔡律摄 0月10日,与李兴国先生考察重庆国人电讯产业有限公司,该司1995年8月注册成立,2003年开始跟踪&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrg26M.html" rel="bookmark" class="title">easyui DataGrid View 每次只展开一行的详细内容</a>
					<div>
						问题描述 点击新一行加号的同时关闭另一个一打开的行 解决方案 解决方案二:这个很简单的,可以这样onExpandRow:function(index,rowdata){varExpandRow=$(& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1raodp.html" rel="bookmark" class="title">中望CAD隆重推出水暖电工程设计解决方案</a>
					<div>
						中望软件隆重推出中望水暖电工程设计解决方案(包括中望给排水.暖通.电气,以下简称&quot;中望水暖电&quot;),与中望CAD已有的中望建筑.结构系列软件构建成完整的工程建设行业CAD整体解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBo7Db.html" rel="bookmark" class="title">晒一下招聘骗子的一些手段</a>
					<div>
						这段时间一直在投简历,为了生存,不得不工作啊 上周面试完回来,发现邮箱收到&quot;中国邮电XXXX公司&quot;人事发来的邮件,内容如下:    中国邮电XXXX公司 很高兴通知您!       ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60a2oz.html" rel="bookmark" class="title">虚拟机-用VM安装Ubuntu报错，求各路大神帮忙~</a>
					<div>
						问题描述 用VM安装Ubuntu报错,求各路大神帮忙~ VM版本:10.0 Ubuntu版本:14.04.1 今天第一次安装的时候很顺利.但是从第二次安装开始,就一直出现如下错误,问题是看看懂了但不知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLDwVM.html" rel="bookmark" class="title">c&num;-C&num; 关于获取请求的问题</a>
					<div>
						问题描述 C# 关于获取请求的问题 比如进入首页会有2个请求 但是是一个操作,我要怎么才知道是一个操作? 或者可以这样说,关键就是不知道这一个操作会获取几次请求 所以不好对比前一次操作和这一次的操作是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBQ2Yz.html" rel="bookmark" class="title">折半查找和平衡树查找时间复杂度比较</a>
					<div>
						问题描述 折半查找和平衡树查找时间复杂度比较 面试时总是听到平衡会更快一些,我个人认为两者是差不多的,谁来解释以下? 解决方案 要看具体情况,比如说,对于链表存储数据,折半查找的效率会低一些.但是通常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNvPxM.html" rel="bookmark" class="title">C&sol;S与B&sol;S一些公共方法，如：操作word类可以封装成动态库吗</a>
					<div>
						问题描述 C/S与B/S一些公共方法,如:操作word类可以封装成动态库吗 解决方案 解决方案二:应该可以,像操作数据库的类一样解决方案三:如果你是借助vba接口(也就是进程外启动一个word或者ex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyeqAz.html" rel="bookmark" class="title">ebs系统架构简介6&mdash;&mdash;clone</a>
					<div>
						1.介绍 clone有不同的用途: 1)可以做个生产系统的副本来做补丁测试. 2)创建一个stageing area(可理解为缓冲区准备区)来降低打补丁的停机时间 3)刷新测试系统(把最新的生产系统拷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G36Yp.html" rel="bookmark" class="title">郭金低胸礼服闪耀冰城获&OpenCurlyDoubleQuote;年度演员奖&rdquo;演技受肯</a>
					<div>
						近日,著名演员郭金,与苗圃,吴秀波.沙溢以及当红小生贾乃亮等东北籍明星共同出席了由黑龙江电视台举办的冰雪相约-黑龙江影视演员汇年度盛典&quot;明日之星计划&quot;启动仪式.回到家乡郭金非常高兴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk2rNM.html" rel="bookmark" class="title">中山保利国际广场携手特斯拉公司举办全城试驾活动</a>
					<div>
						日前,中山保利国际广场携手特斯拉公司,举行了全城试驾活动,并正式启用中山首个特斯拉汽车目的地充电站. 据该项目相关负责人介绍,特斯拉方面在全珠三角区域为充电站建立进行选址,通过对区域交通便利程度的考察 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmG3Dp.html" rel="bookmark" class="title">extjs 做数据库增删改查时，原先是全部查上来显示的，现在用条件查询，怎么在原先的位置上显示条件查询的结果</a>
					<div>
						问题描述 extjs 做数据库增删改查时,原先是全部查上来显示的,现在用条件查询,怎么在原先的位置上显示条件查询的结果 问题补充:myali88 写道 解决方案 重写store的onbeforeloa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkGn6p.html" rel="bookmark" class="title">Executors&period;newSingleThreadScheduledExecutor中的异常处理</a>
					<div>
						问题描述 Executors.newSingleThreadScheduledExecutor中的Runnable最后封装成ScheduledThreadPoolExecutor的一个私有内部类Sch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44nm9z.html" rel="bookmark" class="title">纪源资本：在王佳芬们加入后</a>
					<div>
						这是中国VC史上第一例两只中美基金的合并案.拥有新加坡.中国.美国三个不同文化背景的团队,经历了冲突-融合-互补,从&quot;一国两制&quot;走向&quot;篮球队组合&quot; 文 | 本刊 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YyOBz.html" rel="bookmark" class="title">刷脸支付可靠吗？最新木马Acecard分分钟窃取你的信息</a>
					<div>
						随着计算机技术的发展,支付方式也发生了翻天覆地的变化,先是数字密码支付,到指纹密码支付,现在又发展到了人脸识别技术支付.人脸识别技术支付给用户提供了一种更为方便的支付方式,用户可用自拍验证身份信息,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyBOvM.html" rel="bookmark" class="title">感觉电子商务网站运营有些像守株待兔</a>
					<div>
						很多人感觉电子商务网站运营有些像守株待兔,感觉提高成交率方面比较费劲.不过这中间有一些技巧,结合自己的经验,和大家交流交流,在自己的&quot;株&quot;植好之后,让更多的&quot;兔子&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWy1vz.html" rel="bookmark" class="title">编写可维护面向对象的JavaScript代码&lbrack;翻译&rsqb;&lowbar;js面向对象</a>
					<div>
						Writing maintainable Object-Oriented (OO) JavaScript will save you money and make you popular. Don't ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boO7L6b.html" rel="bookmark" class="title">《测试驱动的嵌入式C语言开发》&mdash;&mdash;2&period;4节单元测试也会崩溃</a>
					<div>
						2.4 单元测试也会崩溃运行测试还有一个可能结果,那就是崩溃.通常意义上讲,C不是一种安全的语言.C代码可能会不知道跑到哪里,再也不返回了.sprintf()就是一个危险的函数.如果你传入的缓冲太小, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLZXVp.html" rel="bookmark" class="title">大数据小应用 概念需落地生根</a>
					<div>
						2013年6月19日,笔者微信上关注的一个共用帐号&quot;油价早知道&quot;推送了这样一条信息:&quot;油价早知道友情提示:根据油价舆情跟踪分析,6月22日凌晨油价或上调(概率超过70%) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQaRmOb.html" rel="bookmark" class="title">Word 怎么实现自动编排目录</a>
					<div>
						我们看一下,怎么添加自动生成的目录. 现在大家看这个没有太多格式的文档,假设它就是你的论文. 收起这个图片展开这个图片   在 Word 2007 中目录可以自动生成,目录来自于文档的结构. 收起这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boO90gb.html" rel="bookmark" class="title">java 如何取得视频文件的总时长&quest;</a>
					<div>
						问题描述 在java中如何获得一个视频.音频以及flash的播放时长? 解决方案 解决方案二: 解决方案三:要求跨平台的,不用调用dll文件的,现在有个想法是jmf中的获得的不知能不能实现					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdBn5xb.html" rel="bookmark" class="title">美加州政府欲向网店征税</a>
					<div>
						亚马逊发起强烈反击 楚天都市报讯 据&lt;北京青年报&gt;报道一场围绕&quot;网购征税&quot;的大战正在美国不断升级,一方是以加利福尼亚州政府为代表的美国州政府,另一方是以亚马逊公司为代表 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
